%define anolis_release 2
Name:           python-docutils
Version:        0.19
Release:        %{anolis_release}%{?dist}
Summary:        System for processing plaintext documentation

# See COPYING.txt for information
License:        Public Domain and BSD and Python and GPLv3+
URL:            https://docutils.sourceforge.net
Source0:        https://sourceforge.net/projects/docutils/files/docutils/%{version}/docutils-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pip) >= 19
BuildRequires:  python3dist(setuptools) >= 40.8
BuildRequires:  python3dist(wheel)

%description
The Docutils project specifies a plaintext markup language, reStructuredText,
which is easy to read and quick to write.  The project includes a python
library to parse rST files and transform them into other useful formats such
as HTML, XML, and TeX as well as commandline tools that give the enduser
access to this functionality.

Currently, the library supports parsing rST that is in standalone files and
PEPs (Python Enhancement Proposals).  Work is underway to parse rST from
Python inline documentation modules and packages.

%package -n python%{python3_pkgversion}-docutils
Summary:        %{summary}

%description -n python%{python3_pkgversion}-docutils
The Docutils project specifies a plaintext markup language, reStructuredText,
which is easy to read and quick to write.  The project includes a python
library to parse rST files and transform them into other useful formats such
as HTML, XML, and TeX as well as commandline tools that give the enduser
access to this functionality.

Currently, the library supports parsing rST that is in standalone files and
PEPs (Python Enhancement Proposals).  Work is underway to parse rST from
Python inline documentation modules and packages.

%prep
%autosetup -p1 -n docutils-%{version}

# Remove shebang from library files
sed -i -e '/#! *\/usr\/bin\/.*/{1D}' $(grep -Erl '^#!.+python' docutils)

# We want the licenses but don't need this build file
rm -f licenses/docutils.conf

# docutils's upstream generates HTML files from the txt files, which affects
# some of the egg-info's files too. We don't want those files in our package
# Reported upstream: https://sourceforge.net/p/docutils/bugs/461/
rm -v *.egg-info/*.html


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files docutils

for file in %{buildroot}%{_bindir}/*.py; do
  mv $file $(dirname $file)/$(basename $file .py)
done


%check
export PYTHONPATH=%{buildroot}%{python3_sitelib}
%{python3} test/alltests.py


%files -n python%{python3_pkgversion}-docutils -f %{pyproject_files}
%license COPYING.txt licenses/*
%doc BUGS.txt FAQ.txt HISTORY.txt README.txt RELEASE-NOTES.txt THANKS.txt
%{_bindir}/rst*
%{_bindir}/docutils


%changelog
* Wed Mar 13 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.19-2
- Rebuild with python3.11

* Wed Jan 18 2023 Funda Wang <fundawang@yeah.net> - 0.19-1
- Import package for anolis 23
